Table of Contents

Class: DeferredList | Twisted-0.17.4/twisted/python/defer.py
--- | ---

### I combine a group of deferreds into one callback.

I track a list of Deferreds for their callbacks, and make a single callback when they have all completed.

Base Classes |
--- | ---
Deferred

Methods |
--- | ---
__init__ _cbDeferred
| __init__

    __init__ ( self,  deferredList )

### Initialize a DeferredList.

Arguments:

              deferredList: a list of Deferreds

| _cbDeferred

    _cbDeferred (
            self,
            result,
            index,
            succeeded,
            )

(internal) Callback for when one of my deferreds fires.

Table of Contents

This document was automatically generated on Sat Apr 20 01:31:23 2002 by HappyDoc version 2.0